## digitemp 3.5.0ds1

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,15 @@
 #
 # Makefile for DigiTemp
 #
-# Copyright 1996-2004 by Brian C. Lane <bcl@brianlane.com>
+# Copyright 1996-2005 by Brian C. Lane <bcl@brianlane.com>
 # See COPYING for GNU Public License
 #
 # Please note that this Makefile *needs* GNU make. BSD make won't do.
 #
-# To enable USB you need to add -DOWUSB to CFLAGS for the SYSTYPE you are
-# compiling on. Only tested on Linux
-#
-# To disable Lockfile support on Linux, remove the -DLOCKDEV and the
-# -llockdev in the Linux SYSTYPE section
+# To disable Lockfile support on Linux, chenage LOCK to no
 #
 
-VERSION = 3.3.2
+VERSION = 3.5.0
 
 
 CC	= gcc
@@ -57,8 +53,13 @@
   CFLAGS += -DLINUX
 
   # Set LOCK to yes for serial port locking support
-  LOCK = yes
+  LOCK = no
 
+endif
+
+ifneq (, $(findstring CYGWIN,$(SYSTYPE)))
+  CFLAGS += -DCYGWIN
+  LIBS   += -static -static-libgcc
 endif
 
 ifeq ($(SYSTYPE), SunOS)
@@ -146,10 +147,12 @@
 
 # Build the archive of everything
 archive:	clean
-		cd .. && tar cvzf digitemp-$(VERSION).tar.gz digitemp-$(VERSION)/* --exclude *.o
+		cd .. && tar --exclude *.o --exclude .svn -cvzf digitemp-$(VERSION).tar.gz digitemp-$(VERSION)/* 
 
 # Build the source distribution
 source:		archive
+
+dist:		ds9097 ds9097u ds2490 sign archive
 
 dist_ds9097:	ds9097 sign archive
 		cd .. && mv digitemp-$(VERSION).tar.gz digitemp-$(VERSION)-ds9097.tar.gz
