=== debian/changelog ===
digitemp (3.5.0ds1-2) unstable; urgency=low

  * Change maintainer to Ryan Finnie, with the blessing of Riccardo 
    Stagni (Closes: #668334)
  * Bump standards version to 3.9.3, Lintian cleanup
    - Change "dh_clean -k" to "dh_prep"
    - Add stub build-arch and build-indep targets
    - Spelling, manpage corrections
  * Increase length of /dev path to 1023 chars (LP: #978294)
  * Update debian/watch
  * Migrate to unified debhelper
  * Migrate to source format 3.0 (quilt)

 -- Ryan Finnie <ryan@finnie.org>  Mon, 16 Apr 2012 20:31:27 -0700

digitemp (3.5.0ds1-1) unstable; urgency=low

  * Taking over Jesus Roncero in maintainership with his permission
  * New upstream release (Closes: #474031)
    (repackaged as the upstream tarball contained the compiled programs, also
    for Windows. The resulting .tar.gz is about half of the original size)
  * Debian packaging remade from scratch
    - Acknowledge NMU (Closes: #461576)
    - debhelper compatibility switched to 7 (previous level undefined)
  * formatting issues in the digitemp.1 manpage (Closes: #350809)
    (also fixes a lintian's warning, thanks to Nicolas François for the patch)
  * Bumped standard version to 3.8.0
    - debian/control: Moved Homepage field from description to source section
    - updated DEB_BUILD_OPTIONS support to debian/rules
    - adjusted Makefile so we can tweak CFLAGS from debian/rules

 -- Riccardo Stagni <unriccio@email.it>  Fri, 18 Jul 2008 00:33:07 +0200

digitemp (3.3.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Removed bashisms from debian/rules (use of {,}). Closes: #315599, #379489.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 19 Jan 2008 17:15:48 +0100

digitemp (3.3.2-2) unstable; urgency=low

  * Added digitemp_DS2490. Patch created by Mikael Mikael Magnusson
    (Closes: bug#269246).
  * Build digitemp for serial and usb adapters in separate build directories,
    since they need different CFLAGS. Thanks to Mikael Magnusson.
  * Flush output after each line. Patch added by Mikael Magnusson.
  * Updated suggests to mysql-server (Closes: bug#269207).
  * Updated watch file.

 -- Jesus Roncero <jesus@roncero.org>  Wed, 01 Sep 2004 01:34:37 +0200

digitemp (3.3.2-1) unstable; urgency=low

  * Initial release (Closes: bug#226890).

 -- Jesus Roncero <jesus@roncero.org>  Fri, 23 Jul 2004 10:27:19 +0200
