=== debian/control ===
Source: digitemp
Section: electronics
Priority: optional
Maintainer: Ryan Finnie <ryan@finnie.org>
Build-Depends: debhelper (>= 7.0.50~), liblockdev1-dev, libusb-dev
Standards-Version: 3.9.3
Homepage: http://www.digitemp.com
XS-Dm-Upload-Allowed: yes

Package: digitemp
Architecture: any
Suggests: rrdtool, python, mysql-server
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: read temperature sensors in a 1-Wire net
 Digitemp is a program that reads data coming from a 1-Wire network using
 a passive adapter (DS9097) or the newer active adapter (DS9097U), 
 connected to a serial port. It also supports reading from USB adaptors 
 like the DS2490. Basically it reads temperature sensors, but others 
 are supported, like a humidity sensor.
 .
 Digitemp also supports branched networks using DS2409 couplers.
