=== debian/changelog ===
digitemp (3.6.0+dfsg1-2) unstable; urgency=low

  * Replace lockdev usage with flock (Closes: #728018)
  * Bump standards version to 3.9.4, no change

 -- Ryan Finnie <ryan@finnie.org>  Sat, 09 Nov 2013 21:40:03 +0000

digitemp (3.6.0+dfsg1-1) unstable; urgency=low

  * Digitemp 3.6.0 (binaries removed) (Closes: #579313)
  * Add hardening compilation
  * Add README.source, explaining tarball rebuild
  * Remove XS-Dm-Upload-Allowed (no longer used)
  * Version control debian/ (bzr)
  * Turn off optimizations on AMD64 to avoid breaking DS2490
    (Closes: #585431) (LP: #452177)
  * Flush logs when running non-interactive (Closes: #691069)

 -- Ryan Finnie <ryan@finnie.org>  Sun, 09 Dec 2012 19:03:19 -0800
