=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: electronics
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper (>= 7.0.50~), liblockdev1-dev, libusb-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), libusb-dev
+Standards-Version: 3.9.4
 Homepage: http://www.digitemp.com
-XS-Dm-Upload-Allowed: yes
+Vcs-Browser: https://code.launchpad.net/~fo0bar/digitemp/digitemp-pkg-debian
+Vcs-Bzr: http://bazaar.launchpad.net/~fo0bar/digitemp/digitemp-pkg-debian
 
 Package: digitemp
 Architecture: any
