=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,27 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# Turn off optimizations on AMD64 to avoid breaking DS2490
+# (Debian Bug #585431, LP: #452177)
+ifneq (,$(filter amd64,$(DEB_HOST_ARCH_CPU)))
+	DEB_CFLAGS_MAINT_STRIP="-O2"
+	DEB_CFLAGS_MAINT_PREPEND="-O0"
+endif
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell DEB_CFLAGS_MAINT_STRIP="$(DEB_CFLAGS_MAINT_STRIP)" DEB_CFLAGS_MAINT_PREPEND="$(DEB_CFLAGS_MAINT_PREPEND)" dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
 %:
 	dh $@
 
 override_dh_auto_build:
 	mkdir -p build-serial/src build-serial/userial/ds9097 build-serial/userial/ds9097u
-	$(MAKE) -C build-serial -f ../Makefile DEBCFLAGS="$(CFLAGS)" SRCDIR=.. ds9097 ds9097u
+	$(MAKE) -C build-serial -f ../Makefile CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" SRCDIR=.. ds9097 ds9097u
 
 	mkdir -p build-usb/src build-usb/userial/ds2490
-	$(MAKE) -C build-usb    -f ../Makefile DEBCFLAGS="$(CFLAGS)" SRCDIR=.. ds2490
+	$(MAKE) -C build-usb    -f ../Makefile CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" SRCDIR=.. ds2490
 
 override_dh_auto_install:
 	install -m 0755 -d debian/digitemp/usr/bin
@@ -30,3 +42,4 @@
 	rm -rf build-serial
 	rm -rf build-usb
 	$(MAKE) clean
+	dh_clean
