=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d+$//" \
http://www.digitemp.com/software.shtml .*?/digitemp-([\d.]*?)\.tar\.gz
