## digitemp 3.7.1

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,23 @@
 #
 # Makefile for DigiTemp
 #
-# Copyright 1996-2005 by Brian C. Lane <bcl@brianlane.com>
+# Copyright 1996-2015 by Brian C. Lane <bcl@brianlane.com>
 # See COPYING for GNU Public License
 #
 # Please note that this Makefile *needs* GNU make. BSD make won't do.
 #
-# To disable Lockfile support on Linux, chenage LOCK to no
-#
 
-VERSION = 3.6.0
+VERSION = 3.7.1
 
-CC	= gcc
-CFLAGS	= -I./src -I./userial -O2 -Wall # -g
+SRCDIR	= $(CURDIR)
+VPATH	= $(SRCDIR)
+
+# May be overridden by the command line
+CFLAGS ?= -O2 -Wall # -g
+
+# Mandatory additions to CFLAGS
+EXTRACFLAGS	= -I$(SRCDIR)/src -I$(SRCDIR)/userial
+override CFLAGS	+= $(EXTRACFLAGS)
 
 OBJS		=	src/digitemp.o src/device_name.o src/ds2438.o
 HDRS		= 	src/digitemp.h src/device_name.h
@@ -47,53 +52,31 @@
 # -----------------------------------------------------------------------
 SYSTYPE := $(shell uname -s)
 
-ifeq ($(SYSTYPE), Linux)
-  CFLAGS += -DLINUX
-
-  # Set LOCK to yes for serial port locking support
-  LOCK = no
-
-endif
-
 ifneq (, $(findstring CYGWIN,$(SYSTYPE)))
-  CFLAGS += -DCYGWIN
+  EXTRACFLAGS += -DCYGWIN
   LIBS   += -static -static-libgcc
 endif
 
 ifeq ($(SYSTYPE), SunOS)
-  CFLAGS += -DSOLARIS
+  EXTRACFLAGS += -DSOLARIS
   LIBS   += -lposix4
 endif
 
 ifeq ($(SYSTYPE), FreeBSD)
-  CFLAGS += -DFREEBSD
-endif
-
-ifeq ($(SYSTYPE), OpenBSD)
-  CFLAGS += -DOPENBSD
-endif
-
-# Untested, but should work.
-ifeq ($(SYSTYPE), NetBSD)
-  CFLAGS += -DNETBSD
+  EXTRACFLAGS += -DFREEBSD
 endif
 
 ifeq ($(SYSTYPE), Darwin)
-  CFLAGS += -DDARWIN
+  EXTRACFLAGS += -DDARWIN
 endif
 
 ifeq ($(SYSTYPE), AIX)
-  CFLAGS += -DAIX
-endif
-
-ifeq ($(LOCK), yes)
-  CFLAGS += -DLOCKDEV
-  LIBS   += -llockdev
+  EXTRACFLAGS += -DAIX
 endif
 
 
 # USB specific flags
-ds2490:  CFLAGS += -DOWUSB
+ds2490:  EXTRACFLAGS += -DOWUSB
 ds2490:  LIBS   += -lusb
 
 
@@ -116,13 +99,13 @@
 
 # Build the Linux executable
 ds9097:		$(OBJS) $(HDRS) $(ONEWIREOBJS) $(ONEWIREHDRS) $(DS9097OBJS)
-		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS9097OBJS) -o digitemp_DS9097 $(LIBS)
+		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS9097OBJS) -o digitemp_DS9097 $(LDFLAGS) $(LIBS)
 
 ds9097u:	$(OBJS) $(HDRS) $(ONEWIREOBJS) $(ONEWIREHDRS) $(DS9097UOBJS)
-		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS9097UOBJS) -o digitemp_DS9097U $(LIBS)
+		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS9097UOBJS) -o digitemp_DS9097U $(LDFLAGS) $(LIBS)
 
 ds2490:		$(OBJS) $(HDRS) $(ONEWIREOBJS) $(ONEWIREHDRS) $(DS2490OBJS)
-		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS2490OBJS) -o digitemp_DS2490 $(LIBS)
+		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS2490OBJS) -o digitemp_DS2490 $(LDFLAGS) $(LIBS)
 
 
 # Clean up the object files and the sub-directory for distributions
@@ -134,10 +117,14 @@
 		rm -rf digitemp-$(VERSION)
 
 # Sign the binaries using gpg (www.gnupg.org)
-# My key is available from www.brianlane.com
+# My key is available from the keyservers or
+# https://www.brianlane.com/0xD29845A70F5017DE.txt
 sign:
 		gpg -ba digitemp_DS*
 		echo
+
+tag:
+		git tag -s -u 0x3085CEE24BECD24B -m "Tag as v$(VERSION)" v$(VERSION)
 
 # Install digitemp into /usr/local/bin
 install:	digitemp
@@ -145,7 +132,9 @@
 
 # Build the archive of everything
 archive:	clean
-		cd .. && tar --exclude *.o --exclude .svn -cvzf digitemp-$(VERSION).tar.gz digitemp-$(VERSION)/* 
+		git archive --format=tar --prefix=digitemp-$(VERSION)/ v$(VERSION) > v$(VERSION).tar
+		gzip -9 v$(VERSION).tar
+		@echo "The archive is in v$(VERSION).tar.gz"
 
 # Build the source distribution
 source:		archive
