=== debian/changelog ===
digitemp (3.7.1-2) unstable; urgency=medium

  * [REGRESSION] Re-add VPATH-based compilation via build-serial and
    build-usb to allow digitemp_DS2490 to work correctly.  This method
    was removed in 3.7.1-1 but is still needed.  Description of problem
    can be found at https://bugzilla.redhat.com/show_bug.cgi?id=517284

 -- Ryan Finnie <ryan@finnie.org>  Sun, 13 Dec 2015 07:13:07 +0000

digitemp (3.7.1-1) unstable; urgency=medium

  * New upstream release
    * Upstream tarball is now DFSG-free
    * No remaining downstream patches
    * AMD64 -O0 hack is no longer needed
    * debian/watch: Monitor github tags
  * Use debhelper level 9
  * Convert debian/copyright to dep5

 -- Ryan Finnie <ryan@finnie.org>  Sat, 12 Dec 2015 23:08:15 +0000

digitemp (3.6.0+dfsg1-5) unstable; urgency=medium

  * Platform handling adjustments; fix FTBFS on Hurd/kFreeBSD

 -- Ryan Finnie <ryan@finnie.org>  Sat, 05 Dec 2015 06:53:22 +0000

digitemp (3.6.0+dfsg1-4) unstable; urgency=medium

  * Update Vcs location
  * Properly reset the 1-Wire bus on DS2490 (LP: #1397382)
  * Bump standards version to 3.9.6, no change

 -- Ryan Finnie <ryan@finnie.org>  Sun, 29 Nov 2015 02:43:36 +0000

digitemp (3.6.0+dfsg1-3) unstable; urgency=low

  * Fix SetBaudCOM conflicting parameter types (Closes: #748036)
  * Add lintian override for hardening-no-fortify-functions
  * Bump standards version to 3.9.5, no change

 -- Ryan Finnie <ryan@finnie.org>  Tue, 13 May 2014 18:45:33 +0000
