=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: electronics
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper (>= 7.0.50~), libusb-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libusb-dev
+Standards-Version: 3.9.6
 Homepage: http://www.digitemp.com
-Vcs-Browser: https://code.launchpad.net/~fo0bar/digitemp/digitemp-pkg-debian
-Vcs-Bzr: http://bazaar.launchpad.net/~fo0bar/digitemp/digitemp-pkg-debian
+Vcs-Browser: https://github.com/rfinnie/digitemp-pkg-debian
+Vcs-Git: https://github.com/rfinnie/digitemp-pkg-debian
 
 Package: digitemp
 Architecture: any
