=== debian/changelog ===
digitemp (3.7.2-3) unstable; urgency=medium

  * Apply upstream commit fa56b0f to fix GCC-15 ftbfs
    (Closes: #1096525)

 -- Ryan Finnie <ryan@finnie.org>  Fri, 05 Sep 2025 21:06:12 -0700

digitemp (3.7.2-2) unstable; urgency=medium

  * Remove DS2490 / libusb 0.1 support (Closes: #810407)
  * Vcs: Use salsa.debian.org
  * Bump debhelper to 13, Standards-Version 4.5.1
  * Update Homepage to https
  * Fix lintian trailing-whitespace debian/changelog
  * Fix lintian insecure-copyright-format-uri
  * Set Rules-Requires-Root: no

 -- Ryan Finnie <ryan@finnie.org>  Thu, 27 May 2021 12:15:55 -0700

digitemp (3.7.2-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #914824)

  [ Ryan Finnie ]
  * New upstream release
  * Bump standards version to 4.2.1
  * Fix depends-on-obsolete-package suggests:
    mysql-server => default-mysql-server

 -- Ryan Finnie <ryan@finnie.org>  Wed, 28 Nov 2018 06:43:30 +0000
