=== debian/control ===
Source: digitemp
Section: electronics
Priority: optional
Maintainer: Ryan Finnie <ryan@finnie.org>
Build-Depends: debhelper, debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.digitemp.com/
Vcs-Browser: https://salsa.debian.org/rfinnie/digitemp-pkg-debian
Vcs-Git: https://salsa.debian.org/rfinnie/digitemp-pkg-debian.git

Package: digitemp
Architecture: any
Suggests: rrdtool, python, default-mysql-server
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: read temperature sensors in a 1-Wire net
 Digitemp is a program that reads data coming from a 1-Wire network using
 a passive adapter (DS9097) or the newer active adapter (DS9097U),
 connected to a serial port. Basically it reads temperature sensors, but
 others are supported, like a humidity sensor.
 .
 Digitemp also supports branched networks using DS2409 couplers.
