=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=makefile

override_dh_auto_build:
	mkdir -p build-serial/src build-serial/userial/ds9097 build-serial/userial/ds9097u
	dh_auto_build --builddirectory=build-serial -- -f ../Makefile SRCDIR=.. ds9097 ds9097u

override_dh_auto_install:
	install -m 0755 -d debian/digitemp/usr/bin
	install -m 0755 build-serial/digitemp_DS9097 debian/digitemp/usr/bin
	install -m 0755 build-serial/digitemp_DS9097U debian/digitemp/usr/bin

override_dh_installman:
	dh_installman digitemp.1
	dh_link usr/share/man/man1/digitemp.1.gz usr/share/man/man1/digitemp_DS9097.1.gz
	dh_link usr/share/man/man1/digitemp.1.gz usr/share/man/man1/digitemp_DS9097U.1.gz

override_dh_auto_clean:
	rm -rf build-serial
	$(MAKE) clean
	dh_clean
